<?php

// Check breaking status
add_filter( 'magzimum_check_promotion_headline_status', 'magzimum_check_promotion_headline_status' );

/**
 * Check status of breaking news.
 *
 * @since Magzimum 1.0
 *
 */
if( ! function_exists( 'magzimum_check_promotion_headline_status' ) ):

  function magzimum_check_promotion_headline_status( $input ){

    global $post, $wp_query;

    // Breaking status
    $promotion_headline_status = magzimum_get_option( 'promotion_headline_option' );

    // Initial
    $status = false;

    switch ( $promotion_headline_status ) {

      case 'entire-site':
        $status = true;
        break;

      case 'home-page-only':
        if ( is_front_page() ) {
          $status = true;
        }
        break;

      case 'home-blog-page':
        if ( is_front_page() || is_home() ) {
          $status = true;
        }
        break;

      case 'disabled':
      default:
        $status = false;
        break;

    }

    $input = $status;

    return $input;

  }

endif;


add_action( 'magzimum_action_before_header', 'magzimum_add_promotion_headline', 10 );


if ( ! function_exists( 'magzimum_add_promotion_headline' ) ) :
  /**
   * Add breaking news
   *
   * @since Magzimum 1.0
   *
   */
  function magzimum_add_promotion_headline() {

    $flag_apply_promotion_headline = apply_filters( 'magzimum_check_promotion_headline_status', false );

    if ( true != $flag_apply_promotion_headline ) {
      return false;
    }

    get_sidebar( 'promotion-headline' );
  }

endif;
