<?php
/**
 * Sidebar Primary widget area.
 *
 * @package Magzimum
 */
?>

<?php
/**
 * magzimum_action_before_sidebar_primary hook
 */
do_action( 'magzimum_action_before_sidebar_primary' );?>

<?php
  global $post, $wp_query;

  // Front page displays in Reading Settings
  $page_on_front = get_option('page_on_front') ;
  $page_for_posts = get_option('page_for_posts'); 

  $sidebaroptions = '';

  // Get Page ID outside Loop
  $page_id = $wp_query->get_queried_object_id();  
  
  // Blog Page, Front Page setting in Reading Settings
  if ( $page_id == $page_for_posts || $page_id == $page_on_front ) {
    $post_options = get_post_meta( $page_id, 'theme_settings', true );
    if ( isset( $post_options['sidabar_layout'] ) && ! empty( $post_options['sidabar_layout'] ) ) {
      $sidebaroptions = $post_options['sidabar_layout'];
    }
  }
  else if ( is_singular() ) {
    if ( is_attachment() ) { 
      $parent = $post->post_parent;
      
      $post_options = get_post_meta( $parent, 'theme_settings', true );
      
      if ( isset( $post_options['sidabar_layout'] ) && ! empty( $post_options['sidabar_layout'] ) ) {
        $sidebaroptions = $post_options['sidabar_layout'];
      }      
    } 
    else {
      $post_options = get_post_meta( $post->ID, 'theme_settings', true );
      
      if ( isset( $post_options['sidabar_layout'] ) && ! empty( $post_options['sidabar_layout'] ) ) {
        $sidebaroptions = $post_options['sidabar_layout'];
      }
    }
  }
?>

<div id="sidebar-primary" role="complementary" <?php magzimum_sidebar_primary_class( 'widget-area sidebar' ); ?> >
  <?php
      if ( is_active_sidebar( 'sidebar-optional-woocommmerce' ) && class_exists( 'woocommerce' ) && ( is_woocommerce() || is_cart() || is_checkout() ) ) {
            dynamic_sidebar( 'sidebar-optional-woocommmerce' ); 
        }
      elseif ( is_active_sidebar( 'sidebar-optional-one' ) && $sidebaroptions == 'optional-sidebar-one' ) {
            dynamic_sidebar( 'sidebar-optional-one' ); 
        }
      elseif ( is_active_sidebar( 'sidebar-optional-two' ) && $sidebaroptions == 'optional-sidebar-two' ) {
            dynamic_sidebar( 'sidebar-optional-two' ); 
        }
      elseif ( is_active_sidebar( 'sidebar-optional-three' ) && $sidebaroptions == 'optional-sidebar-three' ) {
            dynamic_sidebar( 'sidebar-optional-three' ); 
        }
      elseif ( is_active_sidebar( 'sidebar-optional-homepage' ) && ( is_front_page() || ( is_home() && $page_id != $page_for_posts ) ) ) {
            dynamic_sidebar( 'sidebar-optional-homepage' ); 
        }
      elseif ( is_active_sidebar( 'sidebar-optional-archive' ) && ( $page_id == $page_for_posts || is_archive() || is_page_template( 'page-blog.php' ) ) ) {
            dynamic_sidebar( 'sidebar-optional-archive' ); 
        }         
      elseif ( is_page() && is_active_sidebar( 'sidebar-optional-page' ) ) {
        dynamic_sidebar( 'sidebar-optional-page' ); 
      } 
      elseif ( is_single() && is_active_sidebar( 'sidebar-optional-post' ) ) {
        dynamic_sidebar( 'sidebar-optional-post' ); 
      } 
      elseif ( is_active_sidebar( 'sidebar-1' ) ) {
            dynamic_sidebar( 'sidebar-1' ); 
        } 
      else { 
      //Helper Text
      if ( current_user_can( 'edit_theme_options' ) ) { ?>
        <aside id="widget-default-text" class="widget widget_text"> 
          <div class="widget-wrap">
                    <h4 class="widget-title"><?php esc_html_e( 'Primary Sidebar Widget Area', 'magzimum' ); ?></h4>
                
                  <div class="textwidget">
                        <p><?php esc_html_e( 'This is the Primary Sidebar Widget Area if you are using a two or three column site layout option.', 'magzimum' ); ?></p>
                        <p><?php printf( esc_html__( 'By default it will load Search and Archives widgets as shown below. You can add widget to this area by visiting your %1$sWidgets Panel%2$s which will replace default widgets.', 'magzimum' ), '<a href="'. admin_url( 'widgets.php' ) . '">', '</a>' ); ?></p>
                    </div>
                </div><!-- .widget-wrap -->
            </aside><!-- #widget-default-text -->
      <?php
      } ?>
      <aside class="widget widget_search" id="default-search">
        <div class="widget-wrap">
          <?php get_search_form(); ?>
        </div><!-- .widget-wrap -->
      </aside><!-- #default-search -->
      <aside class="widget widget_archive" id="default-archives">
        <div class="widget-wrap">
          <h4 class="widget-title"><?php esc_html_e( 'Archives', 'magzimum' ); ?></h4>
          <ul>
            <?php wp_get_archives( array( 'type' => 'monthly' ) ); ?>
          </ul>
        </div><!-- .widget-wrap -->
      </aside><!-- #default-archives -->
      <?php 
    } ?>
</div><!-- #sidebar-primary -->
<?php
/**
 * magzimum_action_after_sidebar_primary hook
 */
do_action( 'magzimum_action_after_sidebar_primary' );?>

